Get Product Details by Product Code

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the details of Product.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/productmaster/{product_code}

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following main details:

  • Product Id
  • Product Code
  • Product Description
  • Ahecc Code
  • Net Weight UOM
  • Gross Weight UOM
  • HS Code
  • Base UOM
  • Sales UOM
  • Purchase UOM

Request Parameters

To fetch Contact, use the provided end point url.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/productmaster/{product_code}

Response

[
    {
        "Product_id": 130313,
        "product_code": "00078",
        "product_description": "FINCH AND BUDGIE CRUMBLES 2KGM",
        "other_product_code": "ff",
        "mfg_part_number": "check",
        "product_class": "check",
        "ahecc_code": "check",
        "ahecc_uom": "check",
        "net_weight": 0.0,
        "gross_weight": 0.0,
        "volume": 0.0,
        "net_weight_uom": null,
        "gross_weight_uom": null,
        "volume_uom": null,
        "size": "check",
        "specification": "check",
        "label_3": "check",
        "hs_code": null,
        "origin_country_code": "st",
        "origin_criterion": "check",
        "base_uom": null,
        "sales_uom": null,
        "purchase_uom": null,
        "packaging_uom": null,
        "is_active": true,
        "created_by": 7203,
        "created_on": "2024-01-24T22:42:14.533",
        "company_id": 811,
        "col_prd_type": "strin",
        "col_pack_type": "strin",
        "col_preservation": "strin",
        "col_supp_type": "strin",
        "col_cut_code": "check",
        "col_prod_source_state": "strin",
        "col_preservation_desc": "check",
        "col_prd_type_desc": "check",
        "col_pack_type_desc": "check",
        "col_supp_type_desc": "check",
        "col_cut_code_desc": "check",
        "col_prod_source_state_desc": "check",
        "col_acoscargocode": "strin",
        "col_acoscargocode_desc": "check",
        "health_cer_desc_alter_desc": "check",
        "basic_uom_id": null,
        "selling_uom_id": null,
        "purchasing_uom_id": null,
        "net_weight_uom_id": null,
        "gross_weight_uom_id": null,
        "packaging_uom_id": null,
        "volume_uom_id": null,
        "parent_product_id": 0,
        "level": 3,
        "currency_code": null,
        "cost_price": 0.00,
        "selling_currency_code": null,
        "selling_price": null,
        "is_active_for_facility": true,
        "book_value": null,
        "primal_grouping": null,
        "primal_grouping_code": null,
        "temp_state_code": null,
        "temp_state_desc": null,
        "cut_type": null,
        "export_label": null,
        "dest_country_code": null,
        "dest_country_name": null,
        "ham_identifier": null,
        "product_pack_size": null,
        "product_unit_size": null,
        "product_freight_cost": null,
        "product_agent_fee": null,
        "product_buyer_commission": null,
        "product_other_costs": null,
        "is_cost_item": null,
        "is_service_item": null,
        "has_tax": false,
        "tax_ids": null,
        "product_category": "630",
        "chemical_lean_indicator": "check",
        "is_halal_indicator": true,
        "import_authority_code": "check",
        "shelf_life": "check",
        "shelf_life_uom": null,
        "country_of_origin": "check",
        "duty_drawback": "check",
        "international_article_number": "check",
        "udf_additional_details_label_1": null,
        "udf_additional_details_label_2": null,
        "udf_additional_details_label_3": null,
        "udf_additional_details_label_4": null,
        "udf_additional_details_label_5": null,
        "udf_additional_details_label_6": null,
        "udf_additional_details_value_1": null,
        "udf_additional_details_value_2": null,
        "udf_additional_details_value_3": null,
        "udf_additional_details_value_4": null,
        "udf_additional_details_value_5": null,
        "udf_additional_details_value_6": null,
        "brand": "check",
        "registered_establishment_code": "check",
        "registered_establishment_description": "check",
        "product_details_1": "check",
        "product_details_2": "check",
        "product_details_3": "check",
        "product_details_4": "check",
        "product_details_5": "check",
        "shelf_life_uom_id": null,
        "Packing Level": null,
        "uom": null,
        "factor": null,
        "pack_uom": null,
        "base_qty": null,
        "packed_net_weight": null,
        "packed_gross_weight": null,
        "packed_volume": null,
        "uom_value_1": null,
        "uom_value_2": null,
        "pricing_uom": null,
        "selling_uom": null,
        "uom_type": null,
        "price_list_id": null,
        "price_list_code": null
    }
]  

This example demonstrates a request to fetch the product. The response includes details such as the Product Code, Product Description, Ahecc Code, HS Code, etc.

Path Params
string
required
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json